apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "score-1-dep-resource-limit-memory.fullname" . }}-carts-db
  labels:
    name: carts-db
  {{- include "score-1-dep-resource-limit-memory.labels" . | nindent 4 }}
spec:
  replicas: 1
  template:
    spec:
      containers:
      - image: mongo
        name: carts-db
        resources:
          limits:
            memory: 2000Mi
          requests:
            memory: 2000Mi